package com.qianhe.zqcz.jcrw.mapper;

import com.qianhe.zqcz.jcrw.domain.ZqczJcrw;
import com.qianhe.zqcz.jcrw.domain.ZqczJcrwQuery;
import com.qianhe.zqcz.jcrw.domain.ZqczJcrwVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ZqczJcrwMapper {
    /**
     * 条件查询
     */
    List<ZqczJcrwVo> list(ZqczJcrwQuery zqczJcrwQuery);

    /**
     * 查询详情
     */
    ZqczJcrwVo info(Long jcrwid);

    /**
     * 根据直属任务ID查询
     */
    List<ZqczJcrwVo> infoByZsrwId(ZqczJcrwQuery zqczJcrwQuery);

    /**
     * 新增
     */
    int add(ZqczJcrw zqczJcrw);

    /**
     * 批量新增
     */
    int batchAdd(@Param("zqczJcrwList") List<ZqczJcrw> zqczJcrwList);

    /**
     * 修改
     */
    int edit(ZqczJcrw zqczJcrw);

    /**
     * 删除
     */
    int delete(Long[] ids);

    /**
     * 根据直属任务ID 删除
     */
    int deleteByZsrwid(@Param("zsrwid") Long zsrwid);

    int deleteByZsrwids(@Param("zsrwids") Long[] zsrwids);
}
